Skip to main content
GET
/
connect
/
v1
/
operators
/
{operatorId}
/
suppliers
List suppliers (operator-scoped)
curl --request GET \
  --url https://api.voyant.travel/connect/v1/operators/{operatorId}/suppliers \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "operatorId": "<string>",
      "connectionId": "<string>",
      "externalSupplierId": "<string>",
      "name": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Provide either a static platform API key or an OAuth2 access token (from /connect/v1/oauth/token) as Authorization: Bearer <token>. Scopes are connect:* (e.g. connect:bookings:write).

Path Parameters

operatorId
string
required

Operator id.

Query Parameters

connectionId

Restrict to one or more connections (repeat the param for multiple).

providerKey

Restrict to one or more provider keys (repeat the param for multiple).

Response

200 - application/json

Suppliers.

data
object[]